Get a search
Returns the current job state and customer-facing progress counters. Requires the searches:read scope when called with a scoped key.
/v1/searches/{id}Returns the current job state and customer-facing progress counters. Requires the searches:read scope when called with a scoped key.
Pass Authorization: Bearer mapleads_xxx.
In: header
Path Parameters
Search identifier.
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/searches/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "google", "status": "pending", "keyword": "string", "location": "string", "language": "string", "maxResults": 0, "resultCount": 0, "error": "string", "createdAt": "2019-08-24T14:15:22Z", "progress": { "phase": "searching", "found": 0, "processed": 0, "failed": 0 }}Create a search POST
Starts one asynchronous maps search. The job begins in `pending`; poll the returned job URL until it reaches `completed` or `failed`. Creating a job requires an active subscription or trial, and available credits. Requires the `searches:write` scope when called with a scoped key.
Delete a terminal search DELETE
Deletes a job when its current state is eligible for deletion. Jobs that are still running return a conflict. Requires the `searches:write` scope when called with a scoped key.